Skip to main content
GET
/
searches
Find paginated Searches
curl --request GET \
  --url https://commerce.driv.ly/api/searches \
  --header 'Authorization: <api-key>'
{
  "docs": [
    {
      "updatedAt": "<string>",
      "createdAt": "<string>",
      "lead": 123,
      "retailListingUrls": "<string>",
      "year": "<string>",
      "make": "<string>",
      "model": "<string>",
      "trim": "<string>",
      "bodyStyle": [],
      "drive": [],
      "transmission": [],
      "maxPrice": "<string>",
      "maxMiles": 123,
      "newOrUsed": [],
      "minimumGrade": 123,
      "requiredOptions": [],
      "acceptableColors": [],
      "acceptableInterior": [],
      "proposedVehicles": "<string>",
      "vehicles": [
        123
      ],
      "lastModifiedBy": 123,
      "seats": "<string>",
      "updateRequested": "<string>",
      "oneOwner": true,
      "priority": true
    }
  ],
  "totalDocs": 123,
  "limit": 123,
  "totalPages": 123,
  "page": 123,
  "pagingCounter": 123,
  "hasPrevPage": true,
  "hasNextPage": true,
  "prevPage": 123,
  "nextPage": 123
}
Make sure you install our SDK first. You can find out how, and more here.
import { SDK } from '@drivly/commerce'
import type { searches } from '@drivly/commerce'

const sdk = new SDK(...)

const searches = await sdk.searches.find(): Promise<searches[]>

Authorizations

Authorization
string
header
required

Query Parameters

depth
number

number of levels to automatically populate relationships and uploads

locale
string

retrieves document(s) in a specific locale

fallback-locale
string

specifies a fallback locale if no locale value exists

sort
string

sort by field

where
Where clause · object

pass a where query to constrain returned documents (complex type, see documentation)

Example:
{
"or": [
{ "color": { "equals": "mint" } },
{
"and": [
{ "color": { "equals": "white" } },
{ "featured": { "equals": false } }
]
}
]
}
limit
number

limit the returned documents to a certain number

page
number

get a specific page of documents

Response

200 - application/json

ok

docs
Search · object[]
required
totalDocs
number
required
limit
number
required
totalPages
number
required
page
number
required
pagingCounter
number
required
hasPrevPage
boolean
required
hasNextPage
boolean
required
prevPage
number
nextPage
number